
*,
::after,
::before{
margin: 0;
padding: 0;
box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
    width: 100%;
    overflow-x: hidden;
}
body{
--body-bg-color: #2c2424;
--text-whith:#fff;
--logo-color:#cc6c06;
font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI',
 Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
 background-color: var(--body-bg-color);
overflow-x: hidden !important;
width: 100%;
}



header{
    width: 100%;
    height: auto;
    background-color: var(--body-bg-color);
    border-bottom: 1px solid #3b3a3a;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 4;
}

.nav_center{
    width: 90%;
    margin: auto;
    
}

nav{
    height: 15vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.toggle_icon .fa-solid{
    font-size: 2rem;
    color: #fff;
    cursor:pointer ;
    transition:.3s linear ;
}

.toggle_icon .fa-solid:hover{
    transform: scale(0.8) rotate(-45deg);
}
.toggle_icon .times{
    display: none;
}

/* links_conteiner */
.links_conteiner{
    height: 0;
    overflow: hidden;
    transition: all .3s linear; 
}

ul.nav_links{
    list-style: none;
}
ul.nav_links li{
    padding: 1rem 0;
    text-align: center;
}
ul.nav_links li a{
   text-decoration: none;
   color: #adadad;
   font-family: 'roboto', sans-serif;
   font-weight: 300;
}

ul.nav_links li a:hover{
    color: var(--logo-color);
}

.active{
    font-size: 1.2rem;
    color: #cc6c06;
}

.cocial_icons{
    text-align: center;
}
.cocial_icons .fa-brands{
    margin: 35px 10px;
    font-size: 1.5rem;
    color: rgb(110, 110, 110);
    -webkit-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}
.cocial_icons .fa-brands:hover{
    color: var(--logo-color);
}

.resume{
    text-decoration: none;
    color: var(--logo-color);
    padding: 10px 30px;
    border: 1px solid var(--logo-color);
    display: none;
    transition: .3s linear all;
}
.resume:hover{
    transform: scale(0.8);
    background-color: var(--logo-color);
    color: var(--body-bg-color);
}

.seccson_1{
    position: relative;
    border-bottom:5px solid #3b3a3a ;
}
.container{
    width: 88%;
    height: 100vh;
    margin: auto;
    display: flex;
    align-items: center;
}
.ebout_desc{
    font-family: "opens sans", sans-serif;
    margin-top: 100px;
    position: absolute;
    z-index: 3;
}
.ebout_desc h2{
    width: 200px;
    font-size: 5rem;
    color: #fff;
    letter-spacing: 3px;
}
.ebout_desc #name{
    max-width: 900px;
    font-size: 3rem;
    color: #cc6c06;
}
.ebout_desc #name img{
   border-radius: 10px;
}
.ebout_desc #job{
    font-size: 2rem;
    color: #fff;
}
.ebout_desc p{
    width: 300px;
    margin: 30px 0;
    color: #cc6c06;
    font-family: "la belle aurore", cursive ;
}

/* contact button belwo */
.contact_button{
    text-decoration: none;
    margin: 25px 0 15px;
    color: #cc6c06;
    width: 100%;
    max-width: 220px;
    height: 50px;
    display: block;
    text-align: center;
    position: relative;
    letter-spacing: 3px;
    line-height: 50px;
}
.contact_button div{
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    -webkit-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;

}
.contact_button:hover div{
    transform: scale(0.9);
}
.contact_button span.bg{
    background-color: #cc6c06;
    position: absolute;
    width: 0;
    height: 100%;
    left: -5%;
    top: 0;
    -webkit-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    -webkit-transform: skewX(-19deg);
    -ms-transform: skewY(-19deg);
    transform: skewX(-19deg );
}
.contact_button:hover span.bg{
    width: 110%;
}
.contact_button span.base{
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    position:absolute;
    width: 100%;
    height: 100%;
    left: 0;
    border: 1px solid #cc6c06;
}
.contact_button span.text{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}
.contact_button:hover span.text{
    color: #1d1d1d;
}
.achivent{
    display: flex;
}
.ach{
    width: 200px;
    display: flex;
    align-items: center;
    margin-top: 30px;   
}
.ach span{
    color: var(--logo-color);
}
.achivent h1 {
font-size: 4.5rem;
color: #3b3a3a;
font-family: "robot", sans-serif;
margin: 10px;
}
.icons{
    position: absolute;
    bottom: 60px;
    right: 30px;
    z-index: 3;
}
.icons a{
    text-decoration: none;
}
.icons .fa-brands{
    display: block;
    font-size: 1rem;
    color: #838282;
    margin-bottom: 30px;
}
.icons .fa-brands:hover{
    color: var(--logo-color);
}
.hero_img img{
    width: 35%;
    height: auto;
    position: absolute;
    right: 50px;
    bottom: 0;
    z-index: 3;
}
.logo_enimaison{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    list-style: none;
    overflow: hidden;
    z-index: 2;
}
.logo_enimaison li{
    position: absolute;
    bottom: -150px;
    background-color: #d3720b57;
    width: 30px;
    height: 30px;
    animation:logo 15s infinite;
    transition-timing-function: linear;
}
.logo_enimaison li:nth-child(1){
    left: 15%;
}
.logo_enimaison li:nth-child(2){
    left: 50%;
    animation-delay: 1s;
    animation-duration: 35s;
}
.logo_enimaison li:nth-child(3){
    left: 25%;
    animation-delay: 4s;
    animation-duration: 15s;
}
.logo_enimaison li:nth-child(4){
    left: 10%;
    animation-delay: 4s;
    animation-duration: 10s;
}
.logo_enimaison li:nth-child(5){
    left: 35%;
    animation-delay: 5s;
    animation-duration: 12s;
}
.logo_enimaison li:nth-child(6){
    left: 45%;
    animation-delay: 2s;
    animation-duration: 17s;
}
@keyframes logo {
    0%{
        opacity: 0;
        transform: translateY(0) rotate(-45deg);
    }
    100%{
        opacity: 0.5;
        transform: translateY(-1100px) rotate(-45deg);
    }
}

/* part_2 hear  part_2 hear  part_2 hear  part_2 hear*/


.sectio_2{
    width: 85%;
    margin: 70px auto 0;
}
.my_abaut_werppar .abaut{
 font-size: 5rem;
 color: #3a3939;
}
.may_salf{
    width: 320px;
    margin: auto;
    font-size: 1.5rem;
    font-weight: bold;
    letter-spacing: 3px;
    display: block;
    text-align: center;
    position: relative;
    top: -10px;
    left: -20px;
    color: #cc6c06;
}




.my_story p{
    width: 95%;
    font-size: 0.875rem;
    color: #adadad;
    font-weight: 300;
    font-family: 'robot',sans-serif;
    line-height: 1.5rem;
}
.part1{
    position: relative;
    margin-bottom: 35px;
}
.part1 img{
    width: 150px;
    height: auto;
    font: opacity(0.3);
    right: 20px;
    top: -130px;
    display: none;
    position: absolute;
    top: -130px;
    right: 20px;
    margin-top: -50px;
} 
.para_2_werppar{
    display: flex;
    justify-content: space-between;
    flex-direction: column-reverse;
}
.section_3{
    width: 85%;
    margin: 100px auto;
}

.text_skills{
    position: absolute;
    font-size: 7rem;
    color: #3a3939;
    filter: opacity(0.3);
}
.acquired_skills{
    min-height: 100vh;
    display: flex;
    align-items: center;
    flex-direction: column;
}
.disciption h2{
font-size: 1.5rem;
color: #cc6c06;
}
.disciption p{
    width: 95%;
    line-height: 2rem;
    font-size: 0.875rem;
    margin: 20px 0;
    color: #adadad;
}
.disciption span{
    font-size: 14px;
    font-family: 'la Belle Aurore', cursive;
    color: #cc6c06;
}
.acquired_skills img{
    width: 80%;
    height: auto;
    margin: 50px 0;
    animation: rotate 20s ease-in-out 1s infinite alternate-reverse;
    -webkit-animation: rotate 20s ease-in-out 1s infinite alternate-reverse;
    -o-animation: rotate 20s ease-in-out 1s infinite alternate-reverse;
}

@keyframes rotate {
  0%{
    transform: rotate(0deg);
  }
  100%{
    transform: rotate(45deg);
  }
}

/* blog cactin rtart herark */
/* blog cactin rtart herark */
.sacson_4{
    width: 90%;
    margin: auto;
    margin-top: 100px;
}
.bolog_descripson{
    width: 100%;
    margin-bottom: 70px;
    display: flex;
    flex-direction: column;
}
.blog_heding h3{
    font-size: 1.5rem;
    color: #cc6c06;
    margin-bottom: 15px;
}
.blog_heding p{
    font-size: 0.875rem;
    color: #adadad;
}
.blog_saction{
    width: 100%;
    position: relative;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
}
.blog_saction h1{
    font-size: 9rem;
    position: absolute;
    top: -130px;
    left: 0;
    z-index: -999;
    color: #3b3a3a;
}
.blog_werppar{
    width: 100%;
    height: 250px;
    background: #1d1d1d;
    box-shadow: 0 0 3px 2px #141414;
    display: flex;
    justify-content: center;
    flex-direction: column;
    transition: border .5s linear;
    cursor: pointer;
    margin-bottom: 20px;
    position: relative;
    padding: 20px;
   
}
.blog_werppar a{
    text-decoration: none;
    color: #cc6c06;
}
.blog_werppar h3{
    font-size: 1.5rem;
    margin: 0 0 30px;
}
.blog_werppar p{
    color: #adadad;
    margin-bottom: 15px;
    overflow: auto;
}
.blog_werppar::before{
    content: '';
    width: 0%;
    height: 2px;
    background: #cc6c06;
    position: absolute;
    top: 0;
    left: 0;
    transition: all .3s linear;
}
.blog_werppar:hover::before{
    width: 100%;
}

/* contac section start hear */
/* contac section start hear */

.contact_section{
    width: 90%;
    margin: 50px auto 0;
    position: relative;
}
.contact_section h2{
    font-size: 1.5rem;
    color: #cc6c06;
}
.contact_section p{
    width: 85%;
    font-size: 00.875rem;
    line-height: 1.5rem;
    color: #adadad;
}
.contact_section span{
    font-family: 'la belle aurore', cursive;
    color: #cc6c06;
    margin: 20px 0;
}
.contact_section h1{
    font-size: 7rem;
    color: #3b3a3a;
    position: absolute;
    left: -100px;
    z-index: -999;
    opacity: 0.3;
}

.cotact_from_werppar{
    display: flex;
    justify-self: space-between;
    align-items: center;
    flex-direction: column;
}
form{
    width: 100%;
    line-height: 4.5rem;
    font-family: 'robot' sans-serif;
}
input[type="text"], input[type="email"]{
    width: 100%;
    height: 50px;
    outline: none;
    border: none;
    background: #3a3939;
    padding: 5px 20px;
    border-right: 1px solid #cc6c06;
    color: #adadad;
}

textarea{
    width: 100%;
    height: 50vh;
    background: #3a3939;
    border: none;
    outline: none;
    padding: 20px;
    color: #adadad;
}
input[type="submit"]{
    width: 100%;
    height: 50px;
    outline: none;
    border: none;
    cursor: pointer;
    color: #141414;
    background: #cc6c06;
    font-size: 00.875rem;
}
.map{
    width: 100%;
    height: 315px;
    filter: sepia(60%);
    border-radius: 5px;
}
/* contac section end hear */
/* contac section end hear */

.top_link{
font-size: 1.25rem;
position: fixed;
bottom: 3rem;
background: #1d1d1d;
box-shadow: 0 0 3px 2px #333;
width: 2rem;
height: 2rem;
border-radius: 10px;
display: grid;
place-items: center;
right: 3rem;
color: #cc6c06;
animation: bounce 2s ease-in-out infinite;
-webkit-animation:  bounce 2s ease-in-out infinite;
-o-animation:  bounce 2s ease-in-out infinite;
visibility: hidden;
z-index: -100;
}

.show-link{
visibility: visible;
z-index: 100;
}
@keyframes bounce {
0%{
transform: translateY(-7px);
}
50%{
    transform: translateY(7px);
}
100%{
    transform: translateY(-7px);
}
}


/* popler songs start */
.hed{
    margin-top: 60px;
}
.hed h1{
    color: #cc6c06;
    text-align: center;
    font-size: 60px;
}

 .songs{
    margin-top: 30px;
 }
 
/* popler songs end*/



/*===========foter=========*/
footer{
width: 100%;
margin-top: 100px;
height: 8vh;
background: #141414;
display: grid;
place-items: center;
font-size: 12px;
color: #adadad;
}
footer span{
color: #cc6c06;
}
/*===========foter=========*/

/* mediya quary sason */
@media screen and (min-width: 1080px) {
   header{
    display: flex;
    align-items: center;
    justify-content: center;
   }
   .nav_center{
    max-width: 1170px;
    display: flex;
    justify-content: space-between;
    align-items: center;
   }
   .links_conteiner{
    height: auto !important;
   }
   ul.nav_links{
    display: flex;
    height: auto;
   }
   ul.nav_links li{
    padding: 0;
    width: 100px;
   }
   .cocial_icons{
    display: none;
   }
   .toggle_icon{
    display: none;
   }
   .resume{
    display: block;
   }
   /* midiya query for saction 3 on bigger screc stert hear */
   .may_salf{
    width: 400px;
    font-size: 2.5rem;
    top: -130px;
    left: -55px;
   }
   .part1 img{
    display: block;
   }
   .my_abaut_werppar .abaut{
    font-size: 12rem;
   }
   .may_salf::after, .may_salf::before{
    display: block;
   }
   .soich_werppar{
    display: block;
   }
   .my_story p{
    width: 500px;
    font-size: 1.2rem;
    line-height: 1.8rem;
   }
   .para_2_werppar{
    align-items: center;
    flex-direction: row;
   }
   /* sactoin 3 */
   .section_3{
    width: 85%;
    margin: 150px auto 70px;
    min-height: 100vh;
   }
   .text_skills{
    font-size: 20rem;
   }
   .acquired_skills{
    justify-content: space-around;
    flex-direction: row;
   }
   .acquired_skills img{
      width: 35%;
      margin: 0;
   }
   .acquired_skills p{
    width: 530px;
    margin: 20px 0;
    font-size: 1.2rem;
   }
  .acquired_skills h2{
    font-size: 2rem;
  }
    /* saction 4 */
  .bolog_descripson{
    max-width: 95%;
    margin: 0 auto 50px;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
  }
.blog_laine1{
    display: flex;
    gap: 20px;
}
.blog_laine2{
    gap: 20px;
    display: flex;
}

  .blog_heding{
    max-width: 600px;
  }
.blog_heding h3{
    font-size: 2rem;
}
.blog_heding p{
    font-size: 1.2rem;
}
.blog_werppar{
    max-width: 350px;
}
.blog_saction h1{
    font-size: 20rem;
    top: -250px;
}
.blog_werppar h3{
    font-size: 2rem;
}

/* contact sacction */
.contact_section{
    max-width: 95%;
    margin: 150px 0 0 auto;
}
.contact_section h2{
    font-size: 1.2rem;
    line-height: 1.8rem;
}
.contact_section p{
    width: 600px;
    font-size: 1.2rem;
    line-height: 1.8rem;
}
.contact_section h1{
    font-size: 13rem;
    left: -150px;
    top: 200px;
}
.cotact_from_werppar{
    flex-direction: row;
    position: relative;
}
input[type="text"], input[type="email"]{
    width: 248px;
}
#text, textarea{
    width: 500px;
}
input[type="submit"]{
    width: 500px;
}
.map{
   height: 500px;
   border-radius: 5px;
}

/* project saction */
.projects{
    margin: 0 auto;
    flex-direction: row
}
.project_desk{
    width: 500px;
    color: #adadad;
}
.projects h3{
    font-size: 2rem;
    color: #cc6c06;
    margin: 0 0 15px 0;
}
.projects iframe{
    width: 560px;
    height: 315px;
}

/* project saction */
.popoler_songs{
    max-width: 95%;
    gap: 20px;
    margin: 0 auto 50px;
    display: flex;
    overflow: auto;
}
.popoler_songs2{
    max-width: 95%;
    margin: 0 auto 50px;
    gap: 20px;
    display: flex;
    overflow: auto;
}


 }

 @media all and (min-width: 850px){
   

 .ebout_desc #name{
    font-size: 6rem;
 }
 .ebout_desc #name img{
    width: 70px;
 }

 .ebout_desc #job{
    font-size: 2.5rem;
    
}
 }
 
 
 
    

